package com.uas.platform.b2b.openapi.model;

import java.io.Serializable;

/**
 * 预测记录
 * 
 * @author yingp
 * 
 */
public class ForecastItem implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 预测日期
	 */
	private String date;

	/**
	 * 预测数量
	 */
	private Double qty;

	/**
	 * 出货日期
	 */
	private String needDate;

	/**
	 * 截止日期
	 */
	private String endDate;

	/**
	 * 客户名称
	 */
	// private String trader;

	public ForecastItem(String date, Double qty, String needDate, String endDate) {
		super();
		this.date = date;
		this.qty = qty;
		this.needDate = needDate;
		this.endDate = endDate;
		// this.trader = trader;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getNeedDate() {
		return needDate;
	}

	public void setNeedDate(String needDate) {
		this.needDate = needDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public Double getQty() {
		return qty;
	}

	public void setQty(Double qty) {
		this.qty = qty;
	}

	/*
	 * public String getTrader() { return trader; }
	 * 
	 * public void setTrader(String trader) { this.trader = trader; }
	 */

}
